function [ bound ] = exampleBound( m, n, c, mu, delta, li, Q )
%EXAMPLEBOUND Returns a bound for the condition number of SQ.  The bound
%name can be found by runningexampleBound( 'info' ).
%
%   b = exampleBound( m, n, c, mu, delta, li, Q ) returns this bound for
%     the condition number of SQ given the inputs.
%     Inputs:
%        m: Number of rows in Q
%        n: Number of columns in Q
%        c: Number of rows to sample
%        mu: Coherence of Q
%        delta: Failure rate
%        li: Leverage scores of Q
%        Q: The matrix we are testing
%
%   b = exampleBound( 'info' ) will return data about this sampling
%     algorithm, including what what inputs it needs.

if nargin==1
    if strcmp(m,'info');
        bound=struct;
        bound.plotName='Short name of bound (for plot)';
        bound.name='Long name for bound';
        bound.inputsNeeded.m=1;
        bound.inputsNeeded.n=1;
        bound.inputsNeeded.c=1;
        bound.inputsNeeded.mu=1;
        bound.inputsNeeded.delta=1;
        bound.inputsNeeded.li=1;
        bound.inputsNeeded.Q=1;
        bound.type='Bound';
        return;
    else
        error('Wrong number of inputs.')
    end
elseif nargin~=7
    error('Wrong number of inputs.')
end

%PUT CODE FOR COMPUTING BOUND HERE
%
%If your bound fails under some conditions, return a string when your bound fails
%ex:
%if myBoundFails
%  bound='bound failed, <reason>';
%  return;
%end



end

