function [ U ] = paperV1_mtxGen_Alg5( m, n, ~, mu )
%MTXGEN_LI Returns a m by n matrix U with orthonormal columns and leverage
%scores li.
%
%   [ U ] = mtxGen_li( m, n, li ) Returns a m by n matrix U with
%     orthonormal columns and leverage scores li.
%
%   [ U ] = mtxGen_li( 'info' ) will return data about this matrix generation
%     algorithm, including what what inputs it needs.


if nargin==1
    if strcmp(m,'info');
        U=struct;
        U.plotName='Old Alg 5';
        U.name='Old Matrix with specified coherence (Old Alg 5)';
        U.inputsNeeded.m=1;
        U.inputsNeeded.n=1;
        U.inputsNeeded.c=0;
        U.inputsNeeded.mu=1;
        U.inputsNeeded.delta=0;
        U.inputsNeeded.li=0;
        U.inputsNeeded.Q=0;
        U.type='mtxGen';
        return;
    else
        error('Wrong number of inputs.')
    end
elseif nargin~=4
    error('Wrong number of inputs.')
end

if m<n
    error('We must have m>=n')
end

if mu<n/m || mu>1
    error('n/m <= mu <= 1')
end



mSmall=min(m,ceil(n/mu));%m-mSmall is maximal number of zero rows

U=paperV1_mtxGen_Alg4( m, n, [], mu );

U=[U;zeros(m-mSmall,n)];

end

