function [mu, Q] = coherence(Q)
%COHERENCE Calculate the coherence of a given matrix Q.
%
%   mu = coherence(Q) returns the coherence of the matrix Q. If Q does not
%   have orthonormal columns, then we use matlab's qr function to calculate
%   a basis of orthonormal columns for Q.  Since coherence is the largest
%   leverage score, we use the leverageScores function.
%
%   [mu,Q] = coherence(Q) also returns a basis of orthonormal columns for
%   the input matrix Q.


[ li, Q ] = leverageScores( Q );

mu=max(li);

end


